Page MenuHomePhabricator

Fix Makefile build
ClosedPublic

Authored by ihnorton on Jan 17 2016, 9:21 PM.

Details

Summary
  • source/Plugins/Platform/MacOSX/PlatformiOSSimulatorCoreSimulatorSupport.mm was not matched by the default target, causing link errors. Update Makefile to match r252205.
  • test/Makefile no longer exists for LLDB, since r251532.

Diff Detail

Event Timeline

ihnorton updated this revision to Diff 45146.Jan 17 2016, 9:21 PM
ihnorton retitled this revision from to Fix Makefile build.
ihnorton updated this object.
ihnorton added a reviewer: loladiro.
ihnorton added a subscriber: lldb-commits.
ihnorton updated this revision to Diff 45147.Jan 17 2016, 9:24 PM

Only build Apple-specific simulators on Darwin, as in r252205

loladiro accepted this revision.Jan 18 2016, 12:28 AM
loladiro edited edge metadata.
loladiro added subscribers: clayborg, hans.

LGTM.

The Makefile system will be removed from trunk very soon, so it might not necessarily make sense there, but I think it would be good to get this applied to release-38. @clayborg @hans how would you like to handle that? Apply this to trunk and backport?

This revision is now accepted and ready to land.Jan 18 2016, 12:28 AM
hans added a comment.Jan 19 2016, 9:20 AM

The Makefile system will be removed from trunk very soon, so it might not necessarily make sense there, but I think it would be good to get this applied to release-38. @clayborg @hans how would you like to handle that? Apply this to trunk and backport?

Yes, exactly.

clayborg accepted this revision.Jan 19 2016, 10:17 AM
clayborg added a reviewer: clayborg.
hans added a comment.Jan 26 2016, 11:07 AM

Did this ever get committed?

hans added a comment.Jan 28 2016, 11:15 AM

loladiro: Ping?

Sorry I've been away. No this didn't make it in before the Makefiles were removed from trunk. What would you prefer we do?

hans added a comment.Jan 28 2016, 11:36 AM

I've committed the patch to 3.8 in r259081.

Please confirm if this fixes the issue there.

Eugene.Zelenko added a subscriber: Eugene.Zelenko.

Committed in r259081.